=== catch/CMakeLists.txt ===
add_leatherman_vendored("Catch-1.10.0.zip" "Catch-1.10.0" "single_include")
