## leatherman 1.4.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.2.2)
-project(leatherman VERSION 1.4.0)
+project(leatherman VERSION 1.4.2)
 
 if (WIN32)
     link_libraries("-Wl,--nxcompat -Wl,--dynamicbase")
@@ -29,6 +29,7 @@
 defoption(LEATHERMAN_ENABLE_TESTING "Build the leatherman test binary" ${LEATHERMAN_DEFAULT_ENABLE})
 defoption(LEATHERMAN_INSTALL "Install the leatherman libraries and headers" ${LEATHERMAN_DEFAULT_ENABLE})
 defoption(LEATHERMAN_SHARED "Create shared libraries instead of static" FALSE)
+defoption(LEATHERMAN_USE_ICU "Set when Boost is built with ICU" FALSE)
 
 set(BUILDING_LEATHERMAN TRUE)
