=== debian/changelog ===
leatherman (1.4.2+dfsg-2build2) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:40:55 +0000

leatherman (1.4.2+dfsg-2build1) eoan; urgency=medium

  * No change rebuild against new boost regex icu encoded abi ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 08 May 2019 18:03:26 +0100

leatherman (1.4.2+dfsg-2) unstable; urgency=medium

  * Drop the libleatherman-data package; the translations shipped therein are
    actually test data
  * Fix option_set.count() "endless" loop (Closes: #905463)
  * Bump Standards-Version to 4.2.0; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 22 Aug 2018 16:09:39 +0300

leatherman (1.4.2+dfsg-1) unstable; urgency=medium

  [ Nicolas Dandrimont ]
  * Explicit build-dependency version constraints to ease backports
  * Force LC_CTYPE=C for tests as well

  [ Apollon Oikonomopoulos ]
  * B-D on ruby (Closes: #897553)
  * New upstream release
    + Bump SONAME to 1.4.2
  * Bump Standards-Version to 4.1.5; no changes needed
  * d/copyright: add Files-Excluded field
  * Disable -Werror (Closes: #897778)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 31 Jul 2018 15:06:39 +0800
