=== debian/rules ===
--- 
+++ 
@@ -19,4 +19,4 @@
 	LC_ALL=C LC_CTYPE=C dh_auto_test
 
 override_dh_missing:
-	dh_missing --fail-missing
+	dh_missing --fail-missing -X.mo
