=== rapidjson/CMakeLists.txt ===
add_leatherman_vendored("rapidjson-1.0.2.zip" "rapidjson" "include")
