=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,9 @@
+set(BOOST_REQUIRED_COMPONENTS system date_time chrono log log_setup thread filesystem regex)
+if (LEATHERMAN_USE_LOCALES)
+    set(BOOST_REQUIRED_COMPONENTS ${BOOST_REQUIRED_COMPONENTS} locale)
+endif()
+find_package(Boost "1.54" REQUIRED COMPONENTS ${BOOST_REQUIRED_COMPONENTS})
+
 include_directories(BEFORE ${LEATHERMAN_CATCH_INCLUDE} ${LEATHERMAN_INCLUDE_DIRS})
 add_executable(leatherman_test main.cc ${LEATHERMAN_TEST_SRCS})
