=== debian/changelog ===
leatherman (1.12.1+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * [517b59d] Add .gitlab-ci.yml
  * [37dd667] Use packaged libboost-nowide. (Closes: #975863)

 -- Anton Gladky <gladk@debian.org>  Sun, 13 Dec 2020 23:11:38 +0100

leatherman (1.12.1+dfsg-1) unstable; urgency=medium

  * New upstream release
    + Bump SONAME to 1.12.1
    + Drop cmake-ftbfs.patch; fixed upstream
  * Acknowledge 1.4.2+dfsg-2.1 NMU; thanks to Dimitri John Ledkov and Adrian
    Bunk!
  * Bump Standards-Version to 4.5.0; no changes needed
  * Bump dh compat to 13; no changes needed
  * Use upstream build flag to disable -Werror
  * d/copyright: bump debian/* years

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 25 Aug 2020 11:53:57 +0300

leatherman (1.4.2+dfsg-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add patch to fix ftbfs with Boost 1.71. (Closes: #960416)

 -- Adrian Bunk <bunk@debian.org>  Mon, 15 Jun 2020 18:36:13 +0300
