=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: leatherman
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
+Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 11~),
- libboost-dev,
+ debhelper-compat (= 13),
+ libboost-dev (>=1.73.0),
  libboost-log-dev,
+ libboost-nowide-dev,
  libboost-locale-dev,
  libboost-thread-dev,
  libboost-date-time-dev,
@@ -20,7 +20,7 @@
  ruby,
  rapidjson-dev,
  catch (>= 1.10~),
-Standards-Version: 4.2.0
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://github.com/puppetlabs/leatherman
 Vcs-Git: https://salsa.debian.org/puppet-team/leatherman.git
@@ -31,10 +31,11 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libleatherman1.4.2 (= ${binary:Version}),
+ libleatherman1.12.1 (= ${binary:Version}),
  libboost-dev,
  libboost-log-dev,
  libboost-locale-dev,
+ libboost-nowide-dev,
  libboost-thread-dev,
  libboost-date-time-dev,
  libboost-filesystem-dev,
@@ -49,7 +50,7 @@
  .
  This package contains the C++ headers and the CMake utility libraries.
 
-Package: libleatherman1.4.2
+Package: libleatherman1.12.1
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
