=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg\d*$//" \
  https://github.com/puppetlabs/leatherman/releases  .*/([\d.]+)/leatherman.tar.gz
